<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <!--基础信息 -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:clipChildren="true"
        app:layout_constraintDimensionRatio="345:113"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="345:144"
            android:rotationY="@integer/locale_mirror_flip"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/wallet_coin_card_bg" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_balance_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="29dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="@string/wallet_your_balance"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toTopOf="@id/iv_icon"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.45"
            app:layout_constraintVertical_chainStyle="packed" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_icon"
            android:layout_width="19dp"
            android:layout_height="19dp"
            android:layout_marginTop="14dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="@id/tv_balance_title"
            app:layout_constraintTop_toBottomOf="@id/tv_balance_title"
            app:srcCompat="@drawable/common_wallet_coin_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_balance"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="2dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="--"
            android:textColor="@color/color_FF1D2129"
            android:textSize="24sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@id/iv_icon"
            app:layout_constraintStart_toEndOf="@id/iv_icon"
            app:layout_constraintTop_toTopOf="@id/iv_icon"
            app:layout_constraintVertical_chainStyle="packed"
            tools:ignore="HardcodedText" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/btn_convert"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginStart="2dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="@string/wallet_coin_convert_to_diamond"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:autoSizeMaxTextSize="14sp"
            app:autoSizeMinTextSize="10sp"
            app:autoSizeTextType="uniform"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="202:36"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHeight_percent="0.27"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>